package com.fastest.pass.login.data.repository

import com.fastest.pass.login.data.model.LoginResult
import com.fastest.pass.login.data.remote.LoginApiService
import com.fastest.pass.login.domain.repository.LoginRepository
import javax.inject.Inject

class LoginRepositoryImpl @Inject constructor(
    private val loginApiService: LoginApiService
) : LoginRepository {
    override suspend fun loginRepository(email: String, password: String) : LoginResult {
        return try {
            val loginResponse = loginApiService.login(email, password)
            if (loginResponse.status) {
                LoginResult.Success(loginResponse)
            } else {
                LoginResult.Error(loginResponse.message)
            }
        } catch (e: Exception) {
            LoginResult.Error(e.message ?: "Error")
        }
    }

}